<div class="col-lg-12 col-md-12 col-sm-12 onboarding-content">
  <div class="col-lg-12 col-md-12 onboarding-nav-option">
    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }" (click)="isEditMode = false;resetForm();">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New device</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }" (click)="isEditMode = true;getAvailableDevice()">
        <span class="material-icons">domain</span><span class="hidden-xs"> Select Existing device</span></a>
    </div>
  </div>


  <form #onboardingForm="ngForm" class="onboarding-form">
    <div class="row">
      <!-- main row -->
      <div class="col-lg-7 col-md-7 col-sm-7">

        <div class="row">
          <!-- first row -->
          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left org-img-holder">
            <label class="control-label">Device Details</label>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 thumbnail">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-padding form-group">
                <img class="img img-responsive default" [src]="device.logo" alt="" />
                <span class="material-icons upload-icon" (click)="file.open()">camera_alt</span>
                <app-file-upload #file (file)="changeImage($event)"></app-file-upload>
                <input type="text" class="hidden" name="logo" [(ngModel)]="device.logo" required #deviceLogo="ngModel">
              </div>
              <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 no-padding input-group-sm">
                <label class="control-label required-lbl">Gateway Sno</label>
                <span *ngIf="!isEditMode">
                <input type="text" class="form-control input-sm" name="deviceIdInput" [(ngModel)]="device.gatewaySno" required maxlength="64"
                  #deviceIdInput="ngModel" pattern="[a-zA-Z0-9.\s]+">

                <div *ngIf="deviceIdInput.errors && (deviceIdInput.dirty || deviceIdInput.touched)" class="text-danger">
                  <div [hidden]="!deviceIdInput.errors.required">
                    Gateway Sno is required.
                  </div>
                  <div [hidden]="!deviceIdInput.errors.maxlength">
                    Gateway Sno cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!deviceIdInput.errors.pattern">
                    Please enter valid Gateway Sno
                  </div>
                </div>
                  </span>
                <span *ngIf="isEditMode">
                <select class="form-control input-sm" name="deviceIdSelect" [(ngModel)]="deviceSelected" (change)="setSelectedDeive(deviceSelected)">
                  <option value="">Select device Id</option>
                  <option *ngFor="let aDevice of availbleDevice;" [ngValue]="aDevice">{{aDevice.gatewaySno}}</option>
                </select>
                  </span>

              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 status-icon-group">
                <div class="control-label">Active</div>
                <label class="switch">
                <input type="checkbox" name="status" [(ngModel)]="device.status">
                <div class="slider round"></div>
              </label>
              </div>
            </div>
          </div>


          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">

            <!-- parent organization -->
            <div class="form-group">
              <label class="control-label required-lbl">IotHub</label>
              <select class="form-control" #deviceTypeSelect="ngModel" name="deviceTypeSelect" [(ngModel)]="device.iotHub" required>
            <option value=""></option>
            <option *ngFor="let hub of iotHub" [value]="hub.name">{{hub.name}}</option>
          </select>
              <div *ngIf="deviceTypeSelect.errors && (deviceTypeSelect.dirty || deviceTypeSelect.touched)" class="text-danger">
                <div [hidden]="!deviceTypeSelect.errors.required">
                  IotHub is required.
                </div>
              </div>
            </div>
            <!-- parent organization -->

            <div class="form-group has-feedback">
              <label class="control-label">Product Version</label>
              <input type="text" class="form-control" [(ngModel)]="device.productVersion" name="productVersionInput" #productVersionInput="ngModel"
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <div *ngIf="productVersionInput.errors && (productVersionInput.dirty || productVersionInput.touched)" class="text-danger">
                <div [hidden]="!productVersionInput.errors.required">
                  Product Version is required.
                </div>
                <div [hidden]="!productVersionInput.errors.maxlength">
                  Product Version cannot be more than 64 characters long.
                </div>
                <div [hidden]="!productVersionInput.errors.pattern">
                  Please enter valid Product Version
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">OS Build</label>
              <input type="text" class="form-control" [(ngModel)]="device.osBuild" name="osBuildInput" #osBuildInput="ngModel" maxlength="64"
                pattern="[a-zA-Z0-9.\s]+">
              <div *ngIf="osBuildInput.errors && (osBuildInput.dirty || osBuildInput.touched)" class="text-danger">
                <div [hidden]="!osBuildInput.errors.required">
                  OS Build is required.
                </div>
                <div [hidden]="!osBuildInput.errors.maxlength">
                  OS Build cannot be more than 64 characters long.
                </div>
                <div [hidden]="!osBuildInput.errors.pattern">
                  Please enter valid OS Build
                </div>
              </div>
            </div>


          </div>
        </div>
        <!-- first row -->

        <div class="row">
          <!-- second row -->
          <!--<div class="col-lg-12">-->
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">

            <div class="form-group has-feedback">
              <label class="control-label">App Build</label>
              <input type="text" class="form-control" [(ngModel)]="device.appBuild" name="appBuildInput" #appBuildInput="ngModel" maxlength="64"
                pattern="[a-zA-Z0-9.\s]+">
              <div *ngIf="appBuildInput.errors && (appBuildInput.dirty || appBuildInput.touched)" class="text-danger">
                <div [hidden]="!appBuildInput.errors.required">
                  App Build is required.
                </div>
                <div [hidden]="!appBuildInput.errors.maxlength">
                  App Build cannot be more than 64 characters long.
                </div>
                <div [hidden]="!appBuildInput.errors.pattern">
                  Please enter valid App Build
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">DCA Version</label>
              <input type="text" class="form-control" [(ngModel)]="device.dcaVersion" name="dcaVerionInput" #dcaVerionInput="ngModel" maxlength="64"
                pattern="[a-zA-Z0-9.\s]+">

              <div *ngIf="dcaVerionInput.errors && (dcaVerionInput.dirty || dcaVerionInput.touched)" class="text-danger">
                <div [hidden]="!dcaVerionInput.errors.required">
                  DCA Version is required.
                </div>
                <div [hidden]="!dcaVerionInput.errors.maxlength">
                  DCA Version cannot be more than 64 characters long.
                </div>
                <div [hidden]="!dcaVerionInput.errors.pattern">
                  Please enter valid DCA Version
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">SIMI CCID</label>
              <input type="text" class="form-control" [(ngModel)]="device.simiccid" name="simiccidInput" #simiccidInput="ngModel" maxlength="64"
                pattern="[a-zA-Z0-9.\s]+">

              <div *ngIf="simiccidInput.errors && (simiccidInput.dirty || simiccidInput.touched)" class="text-danger">
                <div [hidden]="!simiccidInput.errors.required">
                  SIMI CCID is required.
                </div>
                <div [hidden]="!simiccidInput.errors.minlength">
                  SIMI CCID must be at least 4 characters long.
                </div>
                <div [hidden]="!simiccidInput.errors.maxlength">
                  SIMI CCID cannot be more than 64 characters long.
                </div>
                <div [hidden]="!simiccidInput.errors.pattern">
                  Please enter valid SIMI CCID
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">IMEI </label>
              <input type="text" class="form-control" [(ngModel)]="device.imei" name="imeiInput" #imeiInput="ngModel" maxlength="64" pattern="^[a-zA-Z0-9'][a-zA-Z0-9-' ]*[a-zA-Z0-9']?">

              <div *ngIf="imeiInput.errors && (imeiInput.dirty || imeiInput.touched)" class="text-danger">
                <div [hidden]="!imeiInput.errors.required">
                  IMEI is required.
                </div>

                <div [hidden]="!imeiInput.errors.maxlength">
                  IMEI cannot be more than 64 characters long.
                </div>
                <div [hidden]="!imeiInput.errors.pattern">
                  Please enter valid IMEI
                </div>
              </div>
            </div>


          </div>
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">

            <div class="form-group has-feedback">
              <label class="control-label  required-lbl">WANIP </label>
              <input type="text" class="form-control" [(ngModel)]="device.wanip" name="wanipInput" #wanipInput="ngModel" maxlength="64"
                pattern="^[0-9\.]+$" required>
              <div *ngIf="wanipInput.errors && (wanipInput.dirty || wanipInput.touched)" class="text-danger">
                <div [hidden]="!wanipInput.errors.required">
                  WANIP is required.
                </div>
                <div [hidden]="!wanipInput.errors.maxlength">
                  WANIP cannot be more than 64 characters long.
                </div>
                <div [hidden]="!wanipInput.errors.pattern">
                  Please enter valid WANIP
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label">Timezone</label>
              <select class="form-control" [(ngModel)]="device.timezone" name="timezoneSelect" #timezoneSelect="ngModel">
                <option *ngFor="let tzone of timezone" [value]="tzone.id">{{tzone.displayName}}</option>
              </select>

              <div *ngIf="timezoneSelect.errors && (timezoneSelect.dirty || timezoneSelect.touched)" class="text-danger">
                <div [hidden]="!timezoneSelect.errors.required">
                  Timezone is required.
                </div>
              </div>
            </div>

            <div class="form-group has-feedback has-feedback-left">
              <label class="control-label">Address</label>
              <input type="text" class="form-control" #addressName="ngModel" [(ngModel)]="addressname" name="addressName" pattern="^[0-9a-zA-Z-, ]+$">
              <span class="form-control-feedback"><span class="material-icons">location_on</span></span>
              <div *ngIf="addressName.errors && (addressName.dirty || addressName.touched)" class="text-danger">
                <div [hidden]="!addressName.errors.required">
                  Address is required.
                </div>
                <div [hidden]="!addressName.errors.pattern">
                  Please enter valid address
                </div>
              </div>
            </div>

            <div class="form-group has-feedback">
              <label class="control-label ">RSSI</label>
              <input type="text" class="form-control" [(ngModel)]="device.rssi" name="rssiInput" #rssiInput="ngModel" maxlength="64" pattern="[a-zA-Z0-9.-\s]+">

              <div *ngIf="rssiInput.errors && (rssiInput.dirty || rssiInput.touched)" class="text-danger">
                <div [hidden]="!rssiInput.errors.required">
                  RSSI is required.
                </div>
                <div [hidden]="!rssiInput.errors.maxlength">
                  RSSI cannot be more than 64 characters long.
                </div>
                <div [hidden]="!rssiInput.errors.pattern">
                  Please enter valid RSSI
                </div>
              </div>
            </div>


          </div>
          <!--</div>-->
        </div>
        <!-- second row -->

        <div class="row">
          <div class="col-lg-12 organization-left">
            <div class="form-group">
              <label class="control-label">Description</label>
              <textarea class="form-control" name="Description" #description="ngModel" [(ngModel)]="device.description" maxlength="64"
                [(ngModel)]="name"> </textarea>
              <div *ngIf="description.errors && (description.dirty || description.touched)" class="text-danger">
                <div [hidden]="!description.errors.required">
                  Description is required.
                </div>
                <div [hidden]="!description.errors.maxlength">
                  Description cannot be more than 64 characters long.
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-lg-5 col-md-5 col-sm-5">
        <div class="onboarding-instruction hidden-xs thumbnail">
          <h3>Create Device</h3>
          <p>Asset Onboarding experience starts with the very last step of creating device.</p>
          <p>Create New Device: To create a new device, please make sure the "Create New Device" is selected if not highlighted
            in green. By default "Create New Device" button is selected. Enter the Device Id/Gateway Serial Number, select
            Device Logo, enter address, device software information.</p>
          <p>Now start entering Device VIN, IMEI details. If there is no error, the continue button will be enabled. Click Continue
            button to create the device. If any error happens while creating the device, you will see the error details.</p>
          <p>Select Existing Device: If you want to change values of an existing device, please click "Select Existing Device"
            button. You can select an existing device by selecting the device from the Device Id dropdown. If you don't see
            the Device, click "Create New Device" button and create the device. Selecting an existing device, pre-populates
            the values. You can change any value of the device and click Continue button.</p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12 text-right form-group">
            <button class="btn btn-tab" (click)="cancel()" type="button">Cancel</button>
            <button class="btn btn-tab" (click)="saveDevice(onboardingForm.valid)" type="button" [disabled]="onboardingForm.invalid">Continue</button>
          </div>
        </div>
      </div>
      <!-- main row -->
    </div>
  </form>
</div>
